#
# spec file for package python-Coffin
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Coffin
Version:        2.0.1
Release:        lp152.3.2
Url:            https://github.com/coffin/coffin
Summary:        Jinja2 adapter for Django
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/C/Coffin/Coffin-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test build requirements:
#BuildRequires:  python-Jinja2
#BuildRequires:  python-django
#BuildRequires:  python-nose
Requires:       python-Jinja2
Requires:       python-django
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This used to be a full-featured standalone adapter. With Django adding support
for other template backends, it's approach didn't make sense anymore. Please
use django_jinja instead - you won't regret it.

This module now is a lean collection of some Django tags that are not included
in django-jinja, namely:

{% url %}
{% spaceless %}
{% with %}
{% load %} (as a noop)
{% get_media_prefix %}
{% get_static_prefix %}
{% static %} (in a base variant, and with django.contrib.staticfiles support)

%prep
%setup -q -n Coffin-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

#%%check
#nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*
%exclude %python_sitelib/tests*

%changelog
* Sat May  2 2015 benoit.monin@gmx.fr
- update to version 2.0.1: no upstream changelog
- update project URL
- point source URL to pypi
- update the project description
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.3.8
  + No changelog available
* Thu Nov 22 2012 saschpe@suse.de
- Update to version 0.3.7:
  + Upstream provides no changelog
* Fri Mar 23 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  SPDX
* Fri Sep  9 2011 alexandre@exatati.com.br
- Renamed from python-coffin;
- Update to 0.3.6:
  - Re-release of 0.3.5, containing the correct repository state
    this time.
* Mon Jun 27 2011 alexandre@exatati.com.br
- Update to 0.3.5.
* Sat Mar 26 2011 alexandre@exatati.com.br
- Regenerate spec file with py2pack.
* Fri Feb 25 2011 alexandre@exatati.com.br
- Update to 0.3.4;
- Bzip2 source file.
* Tue Feb  2 2010 alexandre@exatati.com.br
- Update to 0.3.3;
- Building as noarch for openSUSE >= 11.2.
* Fri Sep 18 2009 alexandre@exatati.com.br
- Initial package (0.3) for openSUSE.
